<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Clothing/GasMask_Filter.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/df2/_gas_mask___filter_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">GasMask_Filter.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/df2/_gas_mask___filter_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/df2/_gas_mask___filter_8c.html#a42a1a3f60e9e5e78bec8061ca0c89235">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d97/class_gas_mask___filter.html">GasMask_Filter</a> : <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">    override void OnQuantityChanged(float delta)</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">    {</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">        super.OnQuantityChanged(delta);</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">        </span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">        if (GetQuantity() == 0)</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">        {</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">            SetHealth(&quot;&quot;,&quot;&quot;,0);</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">        }</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">    }</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">    */</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d4/d97/class_gas_mask___filter.html#a034b1f94be701a0c6d4196e91d1bb72b">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d97/class_gas_mask___filter.html#a034b1f94be701a0c6d4196e91d1bb72b">EEHealthLevelChanged</a>(<span class="keywordtype">int</span> oldLevel, <span class="keywordtype">int</span> newLevel, <span class="keywordtype">string</span> zone)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <span class="keywordflow">if</span>( newLevel == <a class="code hl_class" href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a>.<a class="code hl_variable" href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">STATE_RUINED</a> )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a1ff6d31268f1f510cb79c1e2f01a8e97">SetQuantity</a>(0);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d4/d97/class_gas_mask___filter.html#aa530daf8674ccf206992e3a359916fb8">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d4/d97/class_gas_mask___filter.html#aa530daf8674ccf206992e3a359916fb8">GetFilterDamageRatio</a>() </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> 0.09; <span class="comment">//Health lost per quantity consumed</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>}</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="keyword">class </span>GasMask_Filter_Improvised: <a class="code hl_class" href="../../d4/d97/class_gas_mask___filter.html">GasMask_Filter</a></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>{</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d4/d97/class_gas_mask___filter.html#aa530daf8674ccf206992e3a359916fb8">GetFilterDamageRatio</a>() </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> 0.25; <span class="comment">//Health lost per quantity consumed</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}</div>
<div class="ttc" id="a_item_base_8c_html_a1ff6d31268f1f510cb79c1e2f01a8e97"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a1ff6d31268f1f510cb79c1e2f01a8e97">SetQuantity</a></div><div class="ttdeci">bool SetQuantity(float value, bool destroy_config=true, bool destroy_forced=false, bool allow_client=false, bool clamp_to_stack_max=true)</div><div class="ttdoc">Set item quantity[related to varQuantity... config entry], destroy_config = true &gt; if the quantity re...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l07958">ItemBase.c:7958</a></div></div>
<div class="ttc" id="aclass_gas_mask___filter_html"><div class="ttname"><a href="../../d4/d97/class_gas_mask___filter.html">GasMask_Filter</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df2/_gas_mask___filter_8c_source.html#l00001">GasMask_Filter.c:2</a></div></div>
<div class="ttc" id="aclass_gas_mask___filter_html_a034b1f94be701a0c6d4196e91d1bb72b"><div class="ttname"><a href="../../d4/d97/class_gas_mask___filter.html#a034b1f94be701a0c6d4196e91d1bb72b">GasMask_Filter::EEHealthLevelChanged</a></div><div class="ttdeci">override void EEHealthLevelChanged(int oldLevel, int newLevel, string zone)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df2/_gas_mask___filter_8c_source.html#l00015">GasMask_Filter.c:15</a></div></div>
<div class="ttc" id="aclass_gas_mask___filter_html_aa530daf8674ccf206992e3a359916fb8"><div class="ttname"><a href="../../d4/d97/class_gas_mask___filter.html#aa530daf8674ccf206992e3a359916fb8">GasMask_Filter::GetFilterDamageRatio</a></div><div class="ttdeci">override float GetFilterDamageRatio()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df2/_gas_mask___filter_8c_source.html#l00026">GasMask_Filter.c:26</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___emote_i_ds_html_da/d45/class_game_constants"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00589">constants.c:590</a></div></div>
<div class="ttc" id="agroup___item_health_html_ga3908fcde0f2e91545d7e3a51fab2d5d0"><div class="ttname"><a href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">GameConstants::STATE_RUINED</a></div><div class="ttdeci">const int STATE_RUINED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00733">constants.c:733</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_6f364bf7113eb70d5b3db9a41d035223.html">Clothing</a></li><li class="navelem"><a class="el" href="../../d8/df2/_gas_mask___filter_8c.html">GasMask_Filter.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
